function RecognitionTest(SOM,Image);

% ----------------------------------------------------------------
% Sistemi intelligenti - A.A. 2004/ 2005
% Esercitazione del 3/12/2004
% 
% Utilizza una SOM 1d addestrata per il riconoscimento dei caratteri
% Braille.
%
% ----------------------------------------------------------------

% calcola le features
Features=ComputeImageFeatures(uint8(Image));

% Riconosce il carattere con la SOM
Winner=SimulateSOM(SOM.Weights,Features');

% Plot time (presuppone che le prime 6 features siano i valori medi delle 6
% zone dell'immagine).
P(1:10,1:10)=ones(10)*SOM.Weights(Winner,1);
P(11:20,1:10)=ones(10)*SOM.Weights(Winner,2);
P(21:30,1:10)=ones(10)*SOM.Weights(Winner,3);
P(1:10,11:20)=ones(10)*SOM.Weights(Winner,4);
P(11:20,11:20)=ones(10)*SOM.Weights(Winner,5);
P(21:30,11:20)=ones(10)*SOM.Weights(Winner,6);
subplot (1,2,1); imagesc(Image); title('SOM input');
subplot (1,2,2); imagesc(P);     title('Selected prototype');
colormap gray;