function [DistancesLUT,X,Y]=CreateTopologicalDistancesLUT(NumberOfRows,NumberOfColumns);

% Crea la matrice (LUT) per il calcolo veloce delle distanze. 

% Inizializzazione matrice LUT distanze
DistancesLUT=zeros(NumberOfRows,NumberOfColumns);

% Inizializzazione matrice posizioni

% Calcolo matrice
for Row=1:NumberOfRows
    for Col=1:NumberOfColumns
        Dx=Row-1;
        Dy=Col-1;
        DistancesLUT(Row,Col)=sqrt(Dx^2+Dy^2);
    end
end      